/*
 * Decompiled with CFR 0.152.
 */
package fire.pb.compensation;

import fire.pb.compensation.CompensationCondition;
import java.util.ArrayList;
import java.util.List;

public class SpecialCompensationConfig {
    private final int id;
    private final long roleid;
    private final Integer userid;
    private final int awardid;
    private final long startTime;
    private final long endTime;
    private final int compensationMsgid;
    private final String serviceName;
    private final List<CompensationCondition> conditions;
    private final List<Integer> zoneids;

    public SpecialCompensationConfig(int id, long roleid, Integer userid, int awardid, long startTime, long endTime, String conditions, int msgid, String serviceName, List<Integer> zoneids) {
        String[] cons;
        this.id = id;
        this.roleid = roleid;
        this.userid = userid;
        this.awardid = awardid;
        this.startTime = startTime;
        this.endTime = endTime;
        this.compensationMsgid = msgid;
        this.serviceName = serviceName;
        this.zoneids = zoneids;
        this.conditions = new ArrayList<CompensationCondition>();
        if (conditions != null && conditions.length() > 1 && (cons = conditions.split(";")).length > 0) {
            for (String con : cons) {
                if (con.equals("0")) continue;
                String[] conIDAndArgs = con.split(",");
                this.conditions.add(new CompensationCondition(conIDAndArgs));
            }
        }
    }

    public long getRoleid() {
        return this.roleid;
    }

    public Integer getUserid() {
        return this.userid;
    }

    public int getAwardid() {
        return this.awardid;
    }

    public long getStartTime() {
        return this.startTime;
    }

    public long getEndTime() {
        return this.endTime;
    }

    public List<CompensationCondition> getCondtions() {
        return this.conditions;
    }

    public int getId() {
        return this.id;
    }

    public boolean isInTime(long time) {
        return this.startTime < time && time < this.endTime;
    }

    public int getCompensationMsgid() {
        return this.compensationMsgid;
    }

    public String getServiceName() {
        return this.serviceName;
    }

    public List<Integer> getZoneids() {
        return this.zoneids;
    }
}

